---
name: Bug report
about: Create a GraphQL Shield bug report.
---

# Bug report

* [ ] I have checked other issues to make sure this is not a duplicate.

## Describe the bug

A clear and concise description of what the bug is.

## To Reproduce

Steps to reproduce the behavior, please provide code snippets or a repository:

> (Delete the filler code and replace it with your own)

1. This is my GraphQL Schema. 

```graphql
type Query {
  book: Book!
}

type Book {
  id: ID!
  name: String!
  content: String!
}
```

2. This is the invoked query

```graphql
book {
  id
  name
  content
}
```

3. I use these permissions

```ts
const permissions = shield({
  Query: {
    book: allow,
  },
  Book: {
    content: deny,
  },
})
```

4. This is the error I see

```ts
<insert error here>
```

## Expected behavior

A clear and concise description of what you expected to happen.

## Actual behaviour

If applicable, add screenshots to help explain your problem.

## Additional context

Add any other context about the problem here.
